Bug 1282340 - [abrt] dolphin: QString::QString(): dolphin killed by SIGSEGV
[abrt] dolphin: QString::QString(): dolphin killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dolphin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:32a3664ddfdd71d4e692c0246cf...
:
: 1317236 1326433 1327481 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 02:48 EST by The Source
Modified: 2016-12-20 10:57 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:57:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.82 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: core_backtrace (27.03 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: dso_list (24.74 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: environ (2.05 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: maps (104.33 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: mountinfo (3.25 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: open_fds (2.76 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: var_log_messages (239 bytes, text/plain)
2015-11-16 02:48 EST, The Source
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-11-16 02:48 EST, The Source
no flags Details

  None (edit)
Description The Source 2015-11-16 02:48:09 EST
Description of problem:
Dolphin displays duplicate entries in context sub-menu "Create": entries that should create folder or file are displayed twice: once in english and once in local language (russian in this case, only localized version should be displayed). Entries that create files work fine, doesn't matter which version you select (only suggested file name is different, again, english and localized), however, when I press english version of 'create folder', dolphin crashes. Russian version of that entry works fine.
So the problem is twofold: two versions of 'create' sub-menu entries and crash on selecting english version of 'create folder'.

Version-Release number of selected component:
dolphin-15.08.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/dolphin
crash_function: QString::QString
executable:     /usr/bin/dolphin
global_pid:     7253
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QString::QString at /usr/include/qt5/QtCore/qstring.h:877
 #1 KNewFileMenuSingleton::Entry::Entry at ../../../src/filewidgets/knewfilemenu.cpp:111
 #2 KNewFileMenuPrivate::_k_slotActionTriggered at ../../../src/filewidgets/knewfilemenu.cpp:778
 #3 KNewFileMenu::qt_static_metacall at ./moc_knewfilemenu.cpp:136
 #4 QMetaObject::activate at kernel/qobject.cpp:3713
 #6 QActionGroup::triggered at .moc/moc_qactiongroup.cpp:239
 #7 QActionGroupPrivate::_q_actionTriggered at kernel/qactiongroup.cpp:85
 #8 QActionGroup::qt_static_metacall at .moc/moc_qactiongroup.cpp:117
 #9 QMetaObject::activate at kernel/qobject.cpp:3713
 #11 QAction::triggered at .moc/moc_qaction.cpp:365
Comment 1 The Source 2015-11-16 02:48:15 EST
Created attachment 1094740 [details]
File: backtrace
Comment 2 The Source 2015-11-16 02:48:16 EST
Created attachment 1094741 [details]
File: cgroup
Comment 3 The Source 2015-11-16 02:48:18 EST
Created attachment 1094742 [details]
File: core_backtrace
Comment 4 The Source 2015-11-16 02:48:21 EST
Created attachment 1094743 [details]
File: dso_list
Comment 5 The Source 2015-11-16 02:48:22 EST
Created attachment 1094744 [details]
File: environ
Comment 6 The Source 2015-11-16 02:48:24 EST
Created attachment 1094745 [details]
File: limits
Comment 7 The Source 2015-11-16 02:48:27 EST
Created attachment 1094746 [details]
File: maps
Comment 8 The Source 2015-11-16 02:48:28 EST
Created attachment 1094747 [details]
File: mountinfo
Comment 9 The Source 2015-11-16 02:48:30 EST
Created attachment 1094748 [details]
File: namespaces
Comment 10 The Source 2015-11-16 02:48:31 EST
Created attachment 1094749 [details]
File: open_fds
Comment 11 The Source 2015-11-16 02:48:33 EST
Created attachment 1094750 [details]
File: proc_pid_status
Comment 12 The Source 2015-11-16 02:48:34 EST
Created attachment 1094751 [details]
File: var_log_messages
Comment 13 The Source 2015-11-16 02:48:35 EST
Created attachment 1094752 [details]
File: exploitable
Comment 14 Pavel Alexeev 2015-12-23 14:55:31 EST
Another user experienced a similar problem:

Try create directory

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        dolphin .
crash_function: QString::QString
executable:     /usr/bin/dolphin
global_pid:     26726
kernel:         4.3.0-301.hu.1.uksm.bfs.bfq.fc23.x86_64
package:        dolphin-15.08.1-1.fc23
reason:         dolphin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 dotdef 2016-01-10 15:43:32 EST
Another user experienced a similar problem:

Create New Folder

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/dolphin
crash_function: QString::QString
executable:     /usr/bin/dolphin
global_pid:     1829
kernel:         4.2.8-300.fc23.x86_64
package:        dolphin-15.08.1-1.fc23
reason:         dolphin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 dotdef 2016-01-10 15:53:22 EST
http://savepic.ru/8302809.png
Comment 17 stinv16r 2016-03-13 05:16:27 EDT
*** Bug 1317236 has been marked as a duplicate of this bug. ***
Comment 18 Ivan 2016-04-12 12:36:04 EDT
*** Bug 1326433 has been marked as a duplicate of this bug. ***
Comment 19 Yurii Rudyi 2016-04-15 04:33:49 EDT
*** Bug 1327481 has been marked as a duplicate of this bug. ***
Comment 20 Fedora End Of Life 2016-11-24 08:28:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2016-12-20 10:57:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.